@rem  Licensed Materials - Property of IBM
@rem  5724-M24
@rem  (C) Copyright IBM Corporation 2008. All Rights Reserved.
@rem  US Government Users Restricted Rights- Use, duplication or disclosure
@rem  restricted by GSA ADP Schedule Contract with IBM Corp.

@rem  Ram Kishor Singh

@echo off
setlocal

@rem change cmd locale to english
chcp 437

@rem set variables
set CURRENT_DIR=%cd%
set SCRIPT_DIR=%~dp0%
@rem set CURRENT_DIR=%CURRENT_DIR:Program Files=Progra~1%
echo.%CURRENT_DIR%

set Program Files=%Program Files:Program Files=Progra~1%
echo.%Program Files%

cd /d %SCRIPT_DIR%

@rem set SCRIPT_DIR=%SCRIPT_DIR:Program Files=Progra~1%
echo.%SCRIPT_DIR%

@rem get user input parameters
set   WPS_HOME=%1

set WPS_HOME=%WPS_HOME:Program Files=Progra~1%
echo.%WPS_HOME%
if "%WPS_HOME%" == "" goto USAGE
set   HOSTNAME=%2
if "%HOSTNAME%" == "" goto USAGE
set   SOAPPORT=%3
if "%SOAPPORT%" == "" goto USAGE
set   HOSTPORT=%4
if "%HOSTPORT%" == "" goto USAGE
set   user=%5
if "%user%" == "" goto USAGE
set   password=%6
if "%password%" == "" goto USAGE

set profileName=%7
set profileName=%profileName:Program Files=Progra~1%
echo.%profileName%
if "%profileName%" == goto USAGE

set  cellName=%8
set cellName=%cellName:Program Files=Progra~1%
echo.%cellName%
if "%cellName%" == goto USAGE

set profilePath=%9
set profilePath=%profilePath:Program Files=Progra~1%
echo.%profilePath%
if "%profilePath%" == goto USAGE
SHIFT
SHIFT
SHIFT
SHIFT
SHIFT
SHIFT
SHIFT
SHIFT
SHIFT
set  nodeName=%1
set nodeName=%nodeName:Program Files=Progra~1%
echo.%nodeName%
if "%nodeName%" == "" goto USAGE

@rem start Telecom Monitor Model installation
@echo ************************************************
@echo             Install Telecom Reference Impl APP
@echo ************************************************
@echo Installing Telecom Monitor Model ...

@rem installing telecom business space theme
@echo Installing telecom business space theme...
cd /d "%profilePath%/installedApps/%cellName%/BSpaceEAR_%nodeName%_server1.ear/BSpace.war/login"
ren login.css login_orig.css
cd\
cd /d %SCRIPT_DIR%
cd ../bspace/theme/wicp-telecom
copy "./login.css" "%profilePath%/installedApps/%cellName%/BSpaceEAR_%nodeName%_server1.ear/BSpace.war/login/login.css" /Y
@rem copy "./telecomTheme.css" "%profilePath%/installedApps/%cellName%/BSpaceEAR_%nodeName%_server1.ear/BSpace.war/themes/bspaceTheme/telecomTheme.css" /Y
copy "./BetterTelecomTheme.js" "%profilePath%/installedApps/%cellName%/BSpaceEAR_%nodeName%_server1.ear/BSpace.war/iWidget/com/ibm/bspace/widgets/system/styleSelection/data/BetterTelecomTheme.js" /Y
copy "./login-BetterTelecom-bg.png" "%profilePath%/installedApps/%cellName%/BSpaceEAR_%nodeName%_server1.ear/BSpace.war/login/images" /Y
copy "./login-BetterTelecom-page-bg.jpg" "%profilePath%/installedApps/%cellName%/BSpaceEAR_%nodeName%_server1.ear/BSpace.war/login/images" /Y
mkdir "%profilePath%/installedApps/%cellName%/BSpaceEAR_%nodeName%_server1.ear/BSpace.war/iWidget/com/ibm/bspace/widgets/system/styleSelection/data/BetterTelecomTheme"
SET COPYCMD=/Y
xcopy "./BetterTelecomTheme" "%profilePath%/installedApps/%cellName%/BSpaceEAR_%nodeName%_server1.ear/BSpace.war/iWidget/com/ibm/bspace/widgets/system/styleSelection/data/BetterTelecomTheme" /S /Y

cd /d %SCRIPT_DIR%

@echo Installing Telecom business space theme done..

@rem executing derby scripts
call %WPS_HOME%\java\bin\java -cp %WPS_HOME%\derby\lib\derby.jar;%WPS_HOME%\derby\lib\derbytools.jar -Dderby.system.home=%profilePath%/databases -Dij.protocol=jdbc:derby: org.apache.derby.tools.ij ..\derby\scripts\telecom-dynamic-order-fulfillment-db.ddl

@rem install install telecom ref impl
call %WPS_HOME%\bin\wsadmin -conntype SOAP -host %HOSTNAME% -port %SOAPPORT% -user %user% -password %password% -wsadmin_classpath %WPS_HOME%\plugins\com.ibm.wbimonitor.lifecycle.spi.jar -f installTelecomEars.py -nodeName %nodeName% -cellName %cellName% -tracefile ./logs/telecom_install.trace -appendtrace true
@echo.
@echo.
cd /d %SCRIPT_DIR%
@rem calling log status checker
call %WPS_HOME%\java\bin\java -jar ../../../lib/com.ibm.wicp.install.error.util.jar install ./logs/telecom_install.log ./logs/telecom_install.trace
@echo.
@echo.
goto QUITNOW

if  "%ERRORLEVEL%" NEQ "0" goto MONITORMODELSTARTINFO

@rem import business space

REM go one step higher
@rem cd ..
@rem set DATA_DIR=%cd%
@rem cd %CURRENT_DIR%
@rem call %WPS_HOME%\scripts.wbm\BSImport\importBSpace.bat -h %HOSTNAME% -p %HOSTPORT% -f "%DATA_DIR%/bspace/spacedata/incident-problem-management-space.zip" -u %user% -s %password% -w %WPS_HOME%
@rem call %profilePath%\bin\wsadmin.bat -user %user% -password %password% -lang jython -f installBusinessSpace.py %profilePath% incident-problem-management-space.zip
@rem call %profilePath%\bin\stopServer.bat server1 -user %user% -password %password%
@rem call %profilePath%\bin\startServer.bat server1

@rem if  "%ERRORLEVEL%" NEQ "0" goto MONITORMODELSTARTINFO




@echo ************************************************
@echo             INSTALLATION SUCCESSFUL.
@echo ************************************************
goto QUITNOW

:REPORTERROR
@echo INSTALLATION FAILURE: ERROR CODE=%ERRORLEVEL%: The installation of the Telecom Monitor Model failed.
@echo ************************************************
@echo             INSTALLATION FAILED.
@echo ************************************************
goto QUITNOW

:MONITORMODELSTARTINFO
@echo *********************************************************************************************
@echo *********************************************************************************************
@echo INSTALLATION SUCCESSFUL.(Please ensure that all the Applications within WPS Administration console are in started state.)
@echo *********************************************************************************************
@echo *********************************************************************************************
goto QUITNOW

:USAGE
@echo USAGE: install [WPS_HOME] [HOSTNAME] [SOAPPORT] [HOSTPORT] [user] [password] [profileName] [cellName] [profilePath] [nodeName] >CON
@echo EXAMPLE: install "C:\ProcServer62" localhost 8880 9080 admin password WBSFabric01 BaskarVMNode03Cell "C:\ProcServer62\profiles\WBSFabric01" BaskarVMNode03 >CON

:QUITNOW
cd %CURRENT_DIR%
@echo on